package graphql

import (
	"context"
	"gshopper.com/gshopify/shop/graphql/generated"
)

type Resolver struct {
}

func New(ctx context.Context, debug bool) (*Resolver, error) {
	r := Resolver{}

	return &r, nil
}

func (r *entityResolver) FindLocationByID(ctx context.Context, id string) (*generated.Location, error) {
	panic("not implemented")
}

func (r *queryResolver) Locations(ctx context.Context,
	after *string, before *string, first *int, last *int, near *generated.GeoCoordinateInput, reverse *bool, sortKey *generated.LocationSortKeys,
) (*generated.LocationConnection, error) {
	panic("not implemented")
}

// Entity returns EntityResolver implementation.
func (r *Resolver) Entity() generated.EntityResolver { return &entityResolver{r} }

// Query returns QueryResolver implementation.
func (r *Resolver) Query() generated.QueryResolver { return &queryResolver{r} }

func (r *Resolver) Close() error {
	var err error

	return err
}

type entityResolver struct{ *Resolver }
type queryResolver struct{ *Resolver }
